# API Rate limiting

Every default plan has 2000 API calls per endpoint per hour. If you feel this is not enough, you can upgrade this amount when selecting your plan.

In this section we briefly explain how this rate-limiting works exactly.&#x20;

### How does the rate limit work?

As mentioned, each pan has 2000 API calls per endpoint per hour. The rate limit starts counting when you make the first of X requests\*. For example: If you make the first of X requests at 18:18 UTC it will be reset at 19:18. Information about the current number of calls can be found in the response [**meta section.**](https://docs.sportmonks.com/football/api-references/meta-description)

{% hint style="info" %}
Please note that X stands for the number of API calls in your plan.&#x20;
{% endhint %}

### What happens when I hit the rate limit?&#x20;

Once you’ve hit the rate limit, you will receive a `429` response. The rate limit kicks in after the first request has been made. The rate limit will be set to 0 when an hour has passed. Until the hour is finished you will not be able to request data from the endpoint of which you surpassed the rate limit.

### How can I find how many API requests I have left?

When you make a request the API response should include a header called 'x-ratelimit-remaining', this marks your remaining amount of requests for that hour.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/api-references/api-rate-limiting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
